%define ver	1.04
%define rel	1

Summary: kakasi library module for perl
Name: perl-Text-Kakasi
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Text
Source: Text-Kakasi-%{ver}.tar.gz
URL: http://www.daionet.gr.jp/~knok/kakasi/
BuildRoot: /var/tmp/Text-Kakasi-%{ver}-buildroot/
Requires: perl >= 5.6.0, kakasi >= 2.3.1
BuildPreReq: kakasi-devel >= 2.3.1

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.

%description -l ja
Υ⥸塼ϡⶶ͵κ줿եȥKAKASIperl
Ѥ뤿ΤΤǤ

Υ⥸塼ȤˤϡǿǤKAKASI(2.3.0ʹ)ɬפǤ
ǿǤ˴ؤƤϡ<http://kakasi.namazu.org/>򻲾ȤƤ

%prep
%setup -n Text-Kakasi-%{ver}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*-linux/Text/Kakasi.pm
/usr/lib/perl5/site_perl/*/*-linux/auto/Text/Kakasi
/usr/share/man/man3/Text::Kakasi.3pm.gz

%changelog
* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
